Skip to main content
GET
/
api
/
v1
/
chat
/
{agent_id}
/
web-threads
/
search
Search Web Chat Threads
curl --request GET \
  --url https://agent-studio.thena.ai/api/v1/chat/{agent_id}/web-threads/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://agent-studio.thena.ai/api/v1/chat/{agent_id}/web-threads/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://agent-studio.thena.ai/api/v1/chat/{agent_id}/web-threads/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "anon_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "messages": [
      {
        "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "content": "<string>",
        "role": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "content_html": "<string>",
        "tool_calls": [
          {
            "tool_name": "<string>",
            "arguments": {},
            "start_time": "2023-11-07T05:31:56Z",
            "result": {},
            "error": "<string>",
            "end_time": "2023-11-07T05:31:56Z"
          }
        ],
        "attachments": [
          {}
        ],
        "metadata": {},
        "created_at": "2023-11-07T05:31:56Z",
        "feedback": {
          "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "human_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "ai_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "feedback_type": "<string>",
          "issue_type": "<string>",
          "comment": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "widget_user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_name": "<string>",
      "user_email": "<string>",
      "verified_user_name": "<string>",
      "verified_user_email": "<string>",
      "ip_address": "<string>",
      "verified": false,
      "identified_by_tool": false,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "message_count": 0,
    "ticket_id": "<string>",
    "chat_history_parent_comment_id": "<string>",
    "connected_to_platform": true
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string<uuid> | null
required

Query Parameters

q
string
required

Search query

limit
integer
default:10

Number of search results to return

Required range: 1 <= x <= 50
offset
integer
default:0

Number of search results to skip

Required range: x >= 0
sort_by
string
default:newest

Sort by: 'newest' or 'oldest'

feedback_filter
string | null

Filter by feedback: 'any', 'positive', 'negative', or None for all

has_ticket
boolean | null

Filter threads that have a ticket ID

connected_to_platform
boolean | null

Filter threads that are connected to platform

Response

Successful Response

agent_id
string<uuid>
required
title
string
required
id
string<uuid> | null
user_id
string<uuid> | null
anon_user_id
string<uuid> | null
organization_id
string<uuid> | null
metadata
Metadata · object
created_at
string<date-time> | null
updated_at
string<date-time> | null
messages
ChatMessage · object[] | null
widget_user
WidgetUserData · object | null

Model for widget user data from the widget_user table.

message_count
integer
default:0
ticket_id
string | null
chat_history_parent_comment_id
string | null
connected_to_platform
boolean | null